MPD(1)

NAME
mpd - manual page for mpd daemon

DESCRIPTION
usage: mpd [--host=<host> --port=<portnum>] [--noconsole]

    [--trace] [--echo] [--daemon] [--bulletproof] --ncpus=<ncpus> [--ifhn=<interface-hostname>] [--listenport=<listenport>] [--pid=<pidfilename>] --tmpdir=<tmpdir>] [-zc] [--debug]

Some long parameter names may be abbreviated to their first letters by using

    only one hyphen and no equal sign:

    mpd -h donner -p 4268 -n

    is equivalent to

    mpd --host=magpie --port=4268 --noconsole

--host and --port must be specified together; they tell the new mpd where

to enter an existing ring;
    if they are omitted, the new mpd forms a

    stand-alone ring that other mpds may enter later

--noconsole is useful for running 2 mpds on the same machine; only one of

    them will accept mpd commands

--trace yields lots of traces thru mpd routines; currently too verbose --debug turns on some debugging prints; currently not verbose enough --echo causes the mpd echo its listener port by which other mpds may connect --daemon causes mpd to run backgrounded, with no controlling tty --bulletproof says to turn bulletproofing on (experimental) --ncpus indicates how many cpus are on the local host; used for starting processes --ifhn specifies an alternate interface hostname for the host this mpd is running on;

    e.g. may be used to specify the alias for an interface other than default

--listenport specifies a port for this mpd to listen on; by default it will

    acquire one from the system

--conlistenport specifies a port for this mpd to listen on for console

    connections (only used when employing inet socket for console); by default it will acquire one from the system

--pid=filename writes the mpd pid into the specified file, or --pid alone

    writes it into /var/run/mpd.pid

--tmpdir=tmpdirname where mpd places temporary sockets, etc. -zc is a purely EXPERIMENTAL option right now used to investigate zeroconf

    networking; it can be used to allow mpds to discover each other locally using multicast DNS; its usage may change over time Currently, -zc is specified like this: -zc N where N specifies a 'level' in a startup set of mpds. The first mpd in a ring must have 1 and it will establish a ring of one mpd. Subsequent mpds can specify -zc 2 and will hook into the ring via the one at level 1. Except for level 1, new mpds enter the ring via an mpd at level-1.

A file named .mpd.conf file must be present in the user's home directory

    with read and write access only for the user, and must contain at least a line with MPD_SECRETWORD=<secretword>

To run mpd as root, install it while root and instead of a .mpd.conf file use mpd.conf (no leading dot) in the /etc directory.'

AUTHOR
mpd was written by The MPICH2 Team.

This manual page was written by Muammar El Khatib <muammarelkhatib@gmail.com>, for the Debian project (but may be used by others).